import service from '@/utils/request'
// 创建收费配置
export const addPricing = (data) => {
  return service({
    url: '/vehicle/fee-config/create',
    method: 'post',
    data
  })
}

// 更新收费配置
export const editPricing = (data) => {
  return service({
    url: '/vehicle/fee-config/update',
    method: 'put',
    data
  })
}

// 根据ID获取收费配置
export const pricingId = (id) => {
  return service({
    url: '/vehicle/fee-config/get?id=' + id,
    method: 'get'
  })
}

// 获取收费配置列表
export const obtainPricingList = (params) => {
  return service({
    url: '/vehicle/fee-config/list',
    method: 'get',
    params
  })
}

// 删除收费配置
export const removePricing = (id) => {
  return service({
    url: '/vehicle/fee-config/delete?id=' + id,
    method: 'delete',
  })
}
